org.apache.felix.ipojo.manipulator.metadata

## Class AnnotationMetadataProvider

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.AnnotationMetadataProvider

All Implemented Interfaces:
  MetadataProvider

    public class AnnotationMetadataProvider
    extends Object
    implements MetadataProvider

A `AnnotationMetadataProvider` loads iPOJO metadata from bytecode of classes.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`AnnotationMetadataProvider(ResourceStore store, BindingRegistry registry, Reporter reporter)`
`AnnotationMetadataProvider(ResourceStore store, ModuleProvider provider, Reporter reporter)`
`AnnotationMetadataProvider(ResourceStore store, Reporter reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<org.apache.felix.ipojo.metadata.Element>` `getMetadatas()` Gather all the metadata.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationMetadataProvider

    public AnnotationMetadataProvider(ResourceStore store,
                                      Reporter reporter)

#### AnnotationMetadataProvider

    public AnnotationMetadataProvider(ResourceStore store,
                                      ModuleProvider provider,
                                      Reporter reporter)

#### AnnotationMetadataProvider

    public AnnotationMetadataProvider(ResourceStore store,
                                      BindingRegistry registry,
                                      Reporter reporter)

### Method Detail

#### getMetadatas

    public List<org.apache.felix.ipojo.metadata.Element> getMetadatas()
                                                               throws IOException

Description copied from interface: `MetadataProvider`
Gather all the metadata.

Specified by:
  `getMetadatas` in interface `MetadataProvider`
Returns:
  a list of iPOJO metadata (never return null)
Throws:
  `IOException` - if something wet wrong during gathering.